Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Search tags (POST)

POST alternative for GET /tags. Use when URL length limits are exceeded (e.g., 100+ tag IDs). Supports both query parameters and request body. Body parameters take precedence over query parameters.

POST/tags/search
Authorization
AuthorizationBearer token · headerrequired
Query parameters
tag_idsstring[]
tag_namestring
tag_typeTagTypeEnum[]
Request body
application/json
Any of:
TagsSearchReqBody
tag_idsstring[] | null

List of tag IDs. Body takes precedence over query params.

Show properties
Any of:
string[]
Array of string
string
null
null
null
null
Responses
200

Successful Response

object
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST 'https://api.streamkap.com/tags/search' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "tag_ids": [
    "string"
  ]
}'
Response
{}